%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

Summary: 	Highly configurable Mac-like drop-in replacement for ksplash.
Name:   	ksplashml
Version: 	0.80
Release: 	4mdk

Source0: 	%{name}-%{version}.tar.bz2
Patch1:		ksplashml-fix-test.patch.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	arts kdelibs-devel libjpeg-devel libpng-devel XFree86-devel
%if %buildfor8_2
Requires:	kdebase > 2.2.2-6mdk
%endif

%description
Highly configurable Mac-like drop-in replacement for ksplash. Notice that 
this is a separate software package which physically replaces your ksplash 
binary. This _should_ work with KDE 2.1 and greater, but who knows for sure. 
Includes a KCM module to help you configure it to suit your personal tastes 
(each user can set it up differently). Simple to configure and install.

%prep

%setup  -q
%patch1	-p1

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final

%make

%install
make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir

kdedesktop2mdkmenu.pl ksplashml Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/ksplash.desktop %buildroot/%_menudir/ksplashml kde

# laurent - 0.80-3mdk fix conflict with ksplash (kdebase)
# I modify startkde to launch ksplash or ksplashml 
# So you must use kdebase > 2.2.2-6mdk
mv %buildroot/%_bindir/ksplash %buildroot/%_bindir/ksplashml

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files  
%defattr(-,root,root)
%_bindir/*
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/%name/
%dir %_datadir/apps/%name/pics/
%_datadir/apps/%name/pics/*.png
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/LookNFeel/
%_datadir/applnk/Settings/LookNFeel/*.desktop
#
#
%_menudir/*  
%_libdir/*.so*
%_libdir/*.la*

%changelog
* Thu Dec 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-4mdk
- Fix test ksplash

* Mon Nov 26 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-3mdk
- Fix conflict with kdebase

* Sat Nov 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-2mdk
- Fix description and summary

* Fri Nov 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-1mdk
- Initial package
